
Katello - Bug #6775

Activation Key show needs to be able to search by id and organization if organization is given

07/24/2014 01:00 PM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: API   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/448
Description

Since AKs are scoped under organization, if organization is provided, the show action should search by both organization-id and id.

Related issues:

Related to Katello - Bug #6466: hammer activation-key info returns informatio... Closed 07/02/2014

Associated revisions

Revision 767d304a - 07/24/2014 02:20 PM - dustin tsang

Fixes #6775 - AK show filters by index's params

This allows Activation Key's show action to filter by the same parameters

that that the index action can filter by. The key issues is to allow

activation-keys be able to be scoped by organization_id when it is

passed in.

Revision 0aaf5ef3 - 07/24/2014 07:30 PM - dustin tsang

Merge pull request #4481 from dustint-rh/ak_filter_org_id_show

Fixes #6775 - AK show filters by index's params

History

#1 - 07/24/2014 01:01 PM - dustin tsang

- Related to Bug #6466: hammer activation-key info returns information for a non-existing organization added

#2 - 07/24/2014 01:07 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4481 added

- Pull request deleted ()

#3 - 07/24/2014 03:29 PM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 07/24/2014 08:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|767d304a99b8c4df2370ea2392acf1d458b64e72.
https://projects.theforeman.org/projects/katello/repository/katello/revisions/767d304a99b8c4df2370ea2392acf1d458b64e72


#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
